"use strict";
var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);
var ssh_utils_exports = {};
__export(ssh_utils_exports, {
  getStream: () => getStream
});
module.exports = __toCommonJS(ssh_utils_exports);
var import_ssh2 = require("ssh2");
const getStream = async (config) => {
  const conn = new import_ssh2.Client();
  return new Promise((resolve, reject) => {
    conn.on("ready", () => {
      conn.forwardOut(
        "127.0.0.1",
        12345,
        config.host,
        3306,
        (err, stream) => {
          if (err) {
            reject(new Error(`Port forwarding error: ${err}`));
            conn.end();
            return;
          }
          stream.on("close", () => conn.end());
          resolve(stream);
        }
      );
    }).on("error", (err) => {
      reject(new Error(`SSH connection error: ${err}`));
    }).connect(config.ssh);
  });
};
//# sourceMappingURL=ssh-utils.js.map
